<div *ngIf="pageType === 'companyInfo'" class="company-info">
    <h5>Company Information</h5>
    <section class="info-view" *ngIf="!toggleCompanyInfo">
        <div class="info top-info">
            <span class="">{{companyContext?.name}}</span>
        </div>
        <div class="info top-info ">
            <p>CR:&nbsp; </p>
            <span class="green-text">{{companyContext?.commercialRegistration}}</span>
        </div>
        <div class="info top-info">
            <p>VAT:&nbsp; </p>
            <span class="green-text">{{companyContext?.vatNumber}}</span>
        </div>
        <div class="info comp-name">
            <p>Company Full Name:&nbsp; </p>
            <span class="green-text">{{companyContext?.name}}</span>
        </div>
        <div class="info">
            <p>Head Office Address:&nbsp; </p>
            <span class="green-text">{{companyContext?.contactAddress?.streetname}}</span>
        </div>
        <div class="info" *ngFor="let addr of companyContext?.contactAddress?.branchOfficeAddresses">
            <p>Branch Office Address:&nbsp; </p>
            <span class="green-text">{{addr}}</span>
        </div>
    </section>
    <section class="form-view" *ngIf="toggleCompanyInfo">
        <form [formGroup]="companyInfoForm">
            <mat-form-field>
                <mat-label>Company Full Name</mat-label>
                <input matInput formControlName="companyFullName" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Head Office Address</mat-label>
                <textarea matInput formControlName="headOfficeAddress" maxlength="150" rows="2" required
                    autocomplete="off"></textarea>
            </mat-form-field>
            <div class="branch-addr" *ngFor="let branchAddress of branchOfficeArr.controls; let i = index"
                [formGroup]="branchAddress">
                <mat-form-field>
                    <mat-label>Branch Office Address</mat-label>
                    <textarea matInput formControlName="branchOfficeAddress" maxlength="150" rows="2" required
                        autocomplete="off"></textarea>
                </mat-form-field>
                <i class="fa fa-minus-circle" aria-hidden="true" (click)="removeBranchInfo(i)"></i>
            </div>
        </form>
        <div class="plus-icon">
            <span>By Clicking On Plus Sign, Client Can Add Multiple Branches Address</span>
            <i class="fa fa-plus-circle" aria-hidden="true" (click)="addNewBranchInfo()"></i>
        </div>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleCompanyInfo"
            (click)="toggleCompanyInfo = !toggleCompanyInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleCompanyInfo"
            (click)="toggleCompanyInfo = !toggleCompanyInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!companyInfoForm.valid" *ngIf="toggleCompanyInfo"
            (click)="onSubmitCompanyInfo()">Submit</button>
    </div>
</div>
<div *ngIf="pageType === 'contactInfo'" class="company-info">
    <h5>Contact Information</h5>
    <section class="info-view" *ngIf="!toggleContactInfo">
        <div class="info">
            <p>Phone No:&nbsp; </p>
            <span class="green-text">{{companyContext?.contactAddress?.cellphone}}</span>
        </div>
        <div class="info">
            <p>Fax:&nbsp; </p>
            <span class="green-text">{{companyContext?.contactAddress?.fax}}</span>
        </div>
        <div class="info">
            <p>Authorized Email:&nbsp; </p>
            <span class="green-text">{{companyContext?.contactAddress?.email}}</span>
        </div>
        <div class="info multiline-info">
            <p>Mailing Address:&nbsp; </p>
            <span class="green-text">{{companyContext?.contactAddress?.mailingAddress}}</span>
        </div>
    </section>
    <section class="form-view" *ngIf="toggleContactInfo">
        <form [formGroup]="contactInfoForm">
            <mat-form-field>
                <mat-label>Phone No</mat-label>
                <input type="tel" matInput formControlName="phoneNumber" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Fax</mat-label>
                <input matInput type="tel" formControlName="fax" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Authorized Email</mat-label>
                <input matInput type="tel" formControlName="autorizedEmail" required autocomplete="off" />
            </mat-form-field>
            <mat-form-field>
                <mat-label>Mailing Address</mat-label>
                <input matInput type="email" formControlName="mailingAddress" required autocomplete="off" />
            </mat-form-field>
        </form>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" *ngIf="!toggleContactInfo"
            (click)="toggleContactInfo = !toggleContactInfo">Edit</button>
        <button mat-button class="button-primary cancel-btn" *ngIf="toggleContactInfo"
            (click)="toggleContactInfo = !toggleContactInfo">Cancel</button>
        <button mat-button class="button-primary" [disabled]="!contactInfoForm.valid" *ngIf="toggleContactInfo"
            (click)="onSubmitContactInfo()">Submit</button>
    </div>
</div>
<div *ngIf="pageType === 'uploadInfo'" class="company-info">
    <section class="info-view">
        <div class="invoice-template border-top">
            <span>Upload Invoice Template</span>
            <input #templateInput type="file" hidden="true" name="file" id="file"
                (change)="onSelectTemplate($event, 'invoice')" onclick="this.value=null" />
            <i class="fa fa-plus-circle" aria-hidden="true" (click)="templateInput.click()"></i>
        </div>
        <div class="invoice-template">
            <span>Upload Statement Template</span>
            <input #stmtInput type="file" hidden="true" name="file" id="file"
                (change)="onSelectTemplate($event, 'statement')" onclick="this.value=null" />
            <i class="fa fa-plus-circle" aria-hidden="true" (click)="stmtInput.click()"></i>
        </div>
        <div class="invoice-template">
            <span>Upload Report Template</span>
            <input #reportInput type="file" hidden="true" name="file" id="file"
                (change)="onSelectTemplate($event, 'report')" onclick="this.value=null" />
            <i class="fa fa-plus-circle" aria-hidden="true" (click)="reportInput.click()"></i>
        </div>
        <div class="selected-template">
            <div *ngIf="invoiceTemplates !== undefined && invoiceTemplates.name !== undefined" class="invoice">
                <span>{{invoiceTemplates?.name}}<i class="fa fa-check-circle-o" aria-hidden="true"></i></span>
                <span class="remove" (click)="removeSelectedTemplate('invoice')">Remove</span>
            </div>
            <div *ngIf="statementTemplates !== undefined && statementTemplates.name !== undefined" class="invoice">
                <span>{{statementTemplates?.name}}<i class="fa fa-check-circle-o" aria-hidden="true"></i></span>
                <span class="remove" (click)="removeSelectedTemplate('statement')">Remove</span>
            </div>
            <div *ngIf="reportTemplates !== undefined && reportTemplates.name !== undefined" class="invoice">
                <span>{{reportTemplates?.name}}<i class="fa fa-check-circle-o" aria-hidden="true"></i></span>
                <span class="remove" (click)="removeSelectedTemplate('report')">Remove</span>
            </div>
        </div>
    </section>
    <div class="btn-group">
        <button mat-button class="button-primary" [disabled]="reportTemplates === undefined || statementTemplates === undefined || invoiceTemplates === undefined" (click)="onUploadTemplate()">Submit</button>
    </div>
</div>